Skip to main content
GET
query posts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

targetId
string

Required for non-admin users when targetType is user or community. Must not be set when targetType is all.

Maximum string length: 900
targetType
enum<string>
required

all queries across all targets and cannot be combined with targetId. It is restricted for non-admin users.

Available options:
community,
user,
content,
all
sortBy
enum<string>
default:lastCreated
Available options:
firstCreated,
lastCreated,
lastUpdated,
firstUpdated
dataType
string

must be in namespace like format (ex. "upstra.customtype", "com.eko.birthday") custom post type - must be in namespace like format (ex. "upstra.customtype", "com.eko.birthday")

Maximum string length: 100
Pattern: (\w+\.)+\w+
Example:

"upstra.customtype"

hasFlag
boolean

hasFlag:

  • null(default) - Show all posts.
  • true - Show only flagged post(or children) or has flagged comment.
  • false - Show only no flagged post(and children) and has no flagged comment.
isDeleted
boolean
options
object
dataTypes
(enum<string> | string)[]

Child post data type to filter. Only applied if the option matchingOnlyParentPost is false. The value in array could be oneOf:

  • video
  • image
  • file
  • liveStream
  • custom post type
    • must be a string in namespace like format (ex. upstra.customtype, com.eko.birthday)
Required array length: 1 - 10 elements

Child post data type to filter. Only applied if the option matchingOnlyParentPost is false

Available options:
video,
image,
file,
liveStream
tags
string[]
Maximum array length: 5
Maximum string length: 24
matchingOnlyParentPost
boolean
default:true

An option whether to filter only parent post or not. If true will return only parent posts, else will return both parent and child posts

feedType
enum<string>
default:published

Feed type to filter. Only admins can query reviewing or declined posts across all targets.

Available options:
reviewing,
published,
declined

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
polls
object[]
events
object[]
products
object[]
roles
object[]
paging
object